<div>
    <h2>
        <span jhiTranslate="coreDataE1App.retailer.home.title">Retailers</span>
        <button class="btn btn-primary float-right create-retailer" [routerLink]="['/', { outlets: { popup: ['retailer-new'] } }]">
            <span class="fa fa-plus"></span>
            <span  jhiTranslate="coreDataE1App.retailer.home.createLabel">
            Create new Retailer
            </span>
        </button>
    </h2>
    <jhi-alert></jhi-alert>
    <div class="row">
    </div>
    <br/>
    <div class="table-responsive" *ngIf="retailers">
        <table class="table table-striped">
            <thead>
            <tr jhiSort [(predicate)]="predicate" [(ascending)]="reverse" [callback]="reset.bind(this)">
            <th jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="code"><span jhiTranslate="coreDataE1App.retailer.code">Code</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="name"><span jhiTranslate="coreDataE1App.retailer.name">Name</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="address.id"><span jhiTranslate="coreDataE1App.retailer.address">Address</span> <span class="fa fa-sort"></span></th>
            <th></th>
            </tr>
            </thead>
            <tbody infinite-scroll (scrolled)="loadPage(page + 1)" [infiniteScrollDisabled]="page >= links['last']" [infiniteScrollDistance]="0">
            <tr *ngFor="let retailer of retailers ;trackBy: trackId">
                <td><a [routerLink]="['../retailer', retailer.id ]">{{retailer.id}}</a></td>
                <td>{{retailer.code}}</td>
                <td>{{retailer.name}}</td>
                <td>
                    <div *ngIf="retailer.address">
                        <a [routerLink]="['../address', retailer.address?.id ]" >{{retailer.address?.id}}</a>
                    </div>
                </td>
                <td class="text-right">
                    <div class="btn-group flex-btn-group-container">
                        <button type="submit"
                                [routerLink]="['../retailer', retailer.id ]"
                                class="btn btn-info btn-sm">
                            <span class="fa fa-eye"></span>
                            <span class="hidden-md-down" jhiTranslate="entity.action.view">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'retailer/'+ retailer.id + '/edit'} }]"
                                replaceUrl="true"
                                class="btn btn-primary btn-sm">
                            <span class="fa fa-pencil"></span>
                            <span class="hidden-md-down" jhiTranslate="entity.action.edit">Edit</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'retailer/'+ retailer.id + '/delete'} }]"
                                replaceUrl="true"
                                class="btn btn-danger btn-sm">
                            <span class="fa fa-remove"></span>
                            <span class="hidden-md-down" jhiTranslate="entity.action.delete">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
</div>
